report = new com.posics.pos.reports.PanelReportBean();

report.setTitleKey("Menu.PaymentsReport");
report.setReport("/com/posics/reports/payments");
report.setResourceBundle("com/posics/reports/payments_messages");

report.setSentence("SELECT RECEIPTS.DATENEW, ACCOUNTHEADS.NAME, PAYMENTS.PAYMENT, PAYMENTS.NOTES, PAYMENTS.TOTAL AS MONEY "+
" FROM PAYMENTS "+
" JOIN RECEIPTS ON PAYMENTS.RECEIPT = RECEIPTS.ID "+
" JOIN ACCOUNTHEADS ON ACCOUNTHEADS.ID = RECEIPTS.ACCOUNTHEAD "+
" WHERE ?(QBF_FILTER) " +
" ORDER BY RECEIPTS.DATENEW");
report.addParameter("RECEIPTS.DATENEW");
report.addParameter("RECEIPTS.DATENEW");
paramdates = new com.posics.pos.reports.JParamsDatesInterval();
paramdates.setStartDate(com.posics.beans.DateUtils.getToday());
report.addQBFFilter(paramdates);
report.addParameter("RECEIPTS.ACCOUNTHEAD");
report.addQBFFilter(new com.posics.pos.reports.JParamsAccounts());
report.addParameter("PAYMENTS.PAYMENT");
report.addQBFFilter(new com.posics.pos.reports.JParamsPayment());

report.addField("TICKET_DATE", com.posics.data.loader.Datas.TIMESTAMP);
report.addField("NAME", com.posics.data.loader.Datas.STRING);
report.addField("PAYMENT", com.posics.data.loader.Datas.STRING);
report.addField("NOTES", com.posics.data.loader.Datas.STRING);
report.addField("MONEY", com.posics.data.loader.Datas.DOUBLE);

return report;