report = new com.posics.pos.reports.PanelReportBean();

report.setTitleKey("Menu.SalesByProductProperty");
report.setReport("/com/posics/reports/salesbyattribute");
report.setResourceBundle("com/posics/reports/salesbyattribute_messages");

report.setSentence("SELECT TICKETS.TICKETID AS TICKET_NO, RECEIPTS.DATENEW AS TICKET_DATE, (TICKETLINES.UNITS * TICKETLINES.PRICE) AS MONEY, "+
" ATTRIBUTESETINSTANCE.DESCRIPTION AS DESCRIPTION "+
" FROM ATTRIBUTESETINSTANCE "+
" JOIN TICKETLINES ON ATTRIBUTESETINSTANCE.ID=TICKETLINES.ATTRIBUTESETINSTANCE_ID "+
" JOIN TICKETS ON TICKETLINES.TICKET=TICKETS.ID "+
" JOIN RECEIPTS ON RECEIPTS.ID = TICKETS.ID  "+
" JOIN PAYMENTS ON RECEIPTS.ID = PAYMENTS.RECEIPT "+
                "WHERE ?(QBF_FILTER) " +
                "ORDER BY RECEIPTS.DATENEW");
report.addParameter("RECEIPTS.DATENEW");
report.addParameter("RECEIPTS.DATENEW");
paramdates = new com.posics.pos.reports.JParamsDatesInterval();
paramdates.setStartDate(com.posics.beans.DateUtils.getToday());
report.addQBFFilter(paramdates);

report.addParameter("ATTRIBUTESETINSTANCE.DESCRIPTION");
report.addQBFFilter(new com.posics.pos.reports.JParamsTicketProperty());

report.addField("TICKET_NO", com.posics.data.loader.Datas.STRING);
report.addField("TICKET_DATE", com.posics.data.loader.Datas.TIMESTAMP);
report.addField("MONEY", com.posics.data.loader.Datas.DOUBLE);
report.addField("DESCRIPTION", com.posics.data.loader.Datas.STRING);

return report;