report = new com.posics.pos.reports.PanelReportBean();

report.setTitleKey("Menu.SalesByPaymentReport");
report.setReport("/com/posics/reports/salesbypayment");
report.setResourceBundle("com/posics/reports/salesbypayment_messages");

report.setSentence("SELECT RECEIPTS.DATENEW, TICKETS.TICKETID, PAYMENTS.TRANSID, PAYMENTS.TOTAL AS MONEY "+
" FROM PAYMENTS "+
" JOIN RECEIPTS ON PAYMENTS.RECEIPT = RECEIPTS.ID "+
" JOIN CLOSEDCASH ON CLOSEDCASH.MONEY = RECEIPTS.MONEY "+
" JOIN TICKETS ON TICKETS.ID = RECEIPTS.ID "+
" WHERE ?(QBF_FILTER) " +
" ORDER BY RECEIPTS.DATENEW");
report.addParameter("RECEIPTS.DATENEW");
report.addParameter("RECEIPTS.DATENEW");
paramdates = new com.posics.pos.reports.JParamsDatesInterval();
paramdates.setStartDate(com.posics.beans.DateUtils.getToday());
report.addQBFFilter(paramdates);
report.addParameter("PAYMENTS.TRANSID");
report.addQBFFilter(new com.posics.pos.reports.JParamsPaymentType());

report.addField("TICKET_DATE", com.posics.data.loader.Datas.TIMESTAMP);
report.addField("TICKETID", com.posics.data.loader.Datas.STRING);
report.addField("TRANSID", com.posics.data.loader.Datas.STRING);
report.addField("MONEY", com.posics.data.loader.Datas.DOUBLE);

return report;